HIMS ERP 1.0 - Feature #1159

View Manage Charts for Open Category
05/08/2024 10:19 PM - Pratyusha Atmakuri

Status: New Start date:
Priority: Normal Due date:
Assignee: Pratyusha Atmakuri % Done:
Category: Estimated time:
Target version: Spent time:
Deployed In: Category:

05/08/2024
15/08/2024
30%

0:00 hour
0:00 hour

Description

History

#1 - 05/08/2024 09:49 AM - Pratyusha Atmakuri
- % Done changed from 0 to 10

Step wise implementation Process

View Charts

*Step 1:

https://ga.satragroup.in/HIMS _RRAMS/services/chart*

Dropdown -> Bind ObjectName

{

"ld": 2,

"ObjectName": "Road network",

"Module": "LRMS",

"ViewName": "nmVWRoadClassbyRoadLength",
"ChartType": "column",

"SubChartType": ",

"Xaxis": "Road Class",

"Yaxis": "Length in km",

"Zaxis": ",

"ChartQuery": "select [Road Class],SUMas [Length in km] from [nmVWRoadClassbyRoadLength] group by [Road Class]",

"ChartColor": "#00ff00",
"ChartLabelsColor": "#000000",
"ChartFontType": "Arial",
"ChartBackgroundColor": "#ffffff",
"ChartGridlineColor": "#000000",
"ChartTitle": "Road network",
"YFontSize": "11",
"YFontWeight": "False",
"YFontColor": "#000000",
"XFontSize": "11",
"XFontWeight": "False",
"XFontColor": "#000000",
"XaxisOrientation": null,
"DatalabelShowAll": "True",
"DatalLabelPercent": "False",
"DataLabelFontSize": "11",
"DatalabelColor": "#000000",
"YListltems": "",

"YStatus": "False",
"XListltems": "",

"XStatus": "False",
"ZListltems": "",

"ZStatus": "False",

"Radio_Y": "Sum",
"Radio_X":"",

"Datatable": null,
"ColumnDetails": null,
https://qa.satragroup.in/HIMS_RRAMS/services/chart

"Xaxis_Title": "Road Class",
"Yaxis_Title": "Length (in km)",
"Zaxis_Title": "",
"ThresholdValue": 0.0,
"ChartLength": null,

"Length": null

1

Step2: https://qa.satragroup.in/HIMS _RRAMS/services/chart/GetChartData/61
Pass the ID from the above Object

"Id": 61,
"ObjectName": "Roughness",
"Module": "RIS",
"ViewName": "risVWStateWiseRghbyR1",
"ChartType": "column",
"SubChartType": "",
"Xaxis": "Catg",
"Yaxis": "Length",
"Zaxis": "",
"ChartQuery": "select [Catg],COUNT ([Length])as [Length] from
"ChartColor": "#67b7dc",
"ChartLabelsColor": "#000000",
"ChartFontType": "Arial",
"ChartBackgroundColor": "#ffffff",
"ChartGridlineColor": "#000000",
"ChartTitle": "Roughness",
"YFontSize": "11",
"YFontWeight": "False",
"YFontColor": "#000000",
"XFontSize": "11",
"XFontWeight": "False",
"XFontColor": "#000000",
"XaxisOrientation": "O",
"DataLabelShowAll": "False",
"DataLabelPercent": "False",
"DataLabelFontSize": "11",
"DataLabelColor": "#000000",
"YListItems": "",
"YStatus": "False",
"XListItems": "",
"XStatus": "False",
"ZListItems": "",
"ZStatus": "False",
"Radio_Y": "Count",
"Radio_X": "",
"Datatable": null,
"ColumnDetails": [
{
"ViewName": "risVWStateWiseRghbyR1",
"Column_Name": "RoadCode",
"Data_Type": "nvarchar"
} 4
{
"ViewName": "risVWStateWiseRghbyR1",
"Column_Name": "linkcode",
"Data_Type": "nvarchar"
} r
{
"ViewName": "risVWStateWiseRghbyR1",
"Column_Name": "Direction",
"Data_Type": "nvarchar"
y
{
"ViewName": "risVWStateWiseRghbyR1",
"Column_Name": "Startch",
"Data_Type": "int"
} 4
{
"ViewName": "risVWStateWiseRghbyR1",
"Column_Name": "Endch",
"Data_Type": "int"
} r
https://qa.satragroup.in/HIMS_RRAMS/services/chart/GetChartData/61

"ViewName": "risVWStateWiseRghbyR1",

"ViewName": "risVWStateWiseRghbyR1",

"ViewName": "risVWStateWiseRghbyR1",

"ViewName": "risVWStateWiseRghbyR1",

"Column_Name": "Length",
"Data_Type": "decimal"
s
{
"Column_Name": "Catg",
"Data_Type": "nvarchar"
}I
{
"Column_Name": "Colour",
"Data_Type": "nvarchar"
}I
{
"Column_Name": "surveyid",
"Data_Type": "nvarchar"
}
]I
"Xaxis_Title": "Catg",
"Yaxis_Title": "Length",
"Zaxis_Title": "",

"Thresholdvalue": 0.0,
"ChartLength": null,
"Length": null

]

Step 3:

https://qa.satragroup.in/HIMS _RRAMS/services/assets/GetChartData/DynamicQuery

https://qa.satragroup.in/HIMS RRAMS/services/assets/GetChartData/DynamicQuery

select [Catg],COUNTas [Length] from [risVWStateWiseRghbyR1] group by [Catg]

Post : payload pass ChartQuery from above Response

{

"Data": [ {
"Name": "Good",
"chked": "false"

1 {

"Name": "Very Poor",

"chked": "false"
}! {

"Name": "Fair",
"chked": "false"

1 {

"Name": "Very Good",

"chked": "false"
}! {

"Name": "Poor",
"chked": "false"

}
]

Status": true,
"Message": null,
"Caption": "Data",
"Id": 0

1

#2 - 08/08/2024 10:32 AM - Pratyusha Atmakuri

- % Done changed from 10 to 20

STEP 3: http://{}HIMSERPAPI|/services/assets/GetChartData/DynamicQuery

BODY: "select [Catg], COUNTas [Length] from [risVWStateWiseRghbyR1] group by [Catg]"

RESPONSE

{

"Data": [ {
"Catg": "Fair",
https://qa.satragroup.in/HIMS_RRAMS/services/assets/GetChartData/DynamicQuery
https://qa.satragroup.in/HIMS_RRAMS/services/assets/GetChartData/DynamicQuery
http://%7B%7DHIMSERPAPI/services/assets/GetChartData/DynamicQuery

"Length": 38436
} {

"Length": 17443
} {

"Length": 6346
13 {

"Catg": "Poor",
"Length": 13785
13 {

"Catg": "Good",
"Length": 74853
1

1,

"Status": true,
"Message": null,
"Caption": "Data",
"ld": 0

1

#3 - 08/08/2024 12:43 PM - Pratyusha Atmakuri

atg": "Very Good",

atg": "Very Poor",

- File RIS_VIEW_COLUMN_CHARTS2024-08-09 at 1.08.30 AM.mov added

- Due date changed from 10/08/2024 to 15/08/2024
- % Done changed from 20 to 30

Added RIS View Column Chart

Files

RIS_VIEW_COLUMN_CHARTS2024-08-09 at 1.08.30 AM.mov
32.7 MB

08/08/2024

Pratyusha Atmakuri
